XTAtool: Chuyển chữ thường <-> chữ hoa

XTAtool: Thêm tính năng chuyển textNote từ chữ thường thành chữ hoa và ngược lại:
Link dowlaod addin: http://upfile.vn/mfoP
Video hướng dẫn sử dụng:
Mã nguồn chương trình bằng vb.net:
Imports Autodesk.Revit.ApplicationServices
Imports Autodesk.Revit.Attributes
Imports Autodesk.Revit.DB
Imports Autodesk.Revit.UI
Imports Autodesk.Revit.UI.Selection
'------------------------Hàm chuyển đổi giữa chữ thường và chữ hoa ---------------------------------
    Public Function ChuyenChu(ByVal Chuoi As String, ByVal loaichu As Integer) As String
        Select Case loaichu
            Case 1 ' Chuyển thành chữ hoa             
                Chuoi = UCase(Chuoi)
            Case 2 'Chuyển thành chữ thương              
                Chuoi = UCase(Left(Chuoi, 1)) & LCase(Mid(Chuoi, 2))
            Case 3 'Chuyển các chữ đầu thành hoa
                Chuoi = StrConv(Chuoi, 3)
            Case Else
                Chuoi = Chuoi
        End Select
        Return Chuoi
    End Function
'------------------------Thủ tục chuyển chữ thường thành chữ hoa ---------------------------------
<Transaction(TransactionMode.Automatic)> _
Public Class ChuyenchuHoa
    Implements IExternalCommand
    Public Function Execute(ByVal commandData As ExternalCommandData, _
                            ByRef message As String, _
                            ByVal elements As ElementSet) As Result Implements IExternalCommand.Execute
        Try
            If Nothing Is commandData Then
                Throw New ArgumentNullException("commandData")
            End If
            Dim sels As SelElementSet = commandData.Application.ActiveUIDocument.Selection.Elements
            If sels.Size = 0 Then
                message += "Phải chọn đối tương TextNot trước khi thực hiện!"
                Return Result.Failed
            End If
            For Each el As Element In sels
                If el Is TryCast(el, TextNote) Then
                    Dim t As TextNote = TryCast(el, TextNote)
                    t.Text = ChuyenChu(t.Text, 1)
                End If
            Next
            Return Result.Succeeded
        Catch ex As Exception
            Return Result.Failed
        End Try
    End Function
End Class
'------------------------Thủ tục chuyển chữ hoa thành chữ thường ---------------------------------
<Transaction(TransactionMode.Automatic)> _
Public Class ChuyenchuThuong
    Implements IExternalCommand
    Public Function Execute(ByVal commandData As ExternalCommandData, _
                            ByRef message As String, _
                            ByVal elements As ElementSet) As Result Implements IExternalCommand.Execute
        Try
            If Nothing Is commandData Then
                Throw New ArgumentNullException("commandData")
            End If
            Dim sels As SelElementSet = commandData.Application.ActiveUIDocument.Selection.Elements
            If sels.Size = 0 Then
                message += "Phải chọn đối tương TextNot trước khi thực hiện!"
                Return Result.Failed
            End If
            For Each el As Element In sels
                If el Is TryCast(el, TextNote) Then
                    Dim t As TextNote = TryCast(el, TextNote)
                    t.Text = ChuyenChu(t.Text, 2)
                End If
            Next
            Return Result.Succeeded
        Catch ex As Exception
             Return Result.Failed
        End Try
    End Function
End Class

3 nhận xét:

Đào VIệt Hùng nói...

cái này revit 2013 dùng đc k pro?

Unknown nói...

Dùng bình thường nhé bạn!

Unknown nói...

khon dao duoc nhj

Đăng nhận xét

 
Powered by by: Blogger